import { IsString, Length, IsNumber, IsBoolean } from 'class-validator';
import { FactionEntity } from 'src/game/faction.entity';

export class TaskDTO {
  @IsString()
  @Length(3, 31)
  taskName: string;
  @IsString()
  @Length(0, 255)
  taskDescription: string;
  @IsNumber()
  @Length(1, 3)
  taskScore: number;
  @IsString()
  @Length(3, 31)
  taskWinner?: string;
  @IsBoolean()
  taskIsActive: boolean;
  // faction unique id
  @IsString()
  faction: FactionEntity;
}
